Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.response.event
Class ResponseSubmissionEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.response.event.ResponseSubmissionEvent

Direct Known Subclasses:
  CommentResponseSubmissionEvent, PingbackResponseSubmissionEvent, TrackbackResponseSubmissionEvent

public class ResponseSubmissionEvent
extends Event

Response submission event

Since:
  blojsom 3.0
Version:
  $Id: ResponseSubmissionEvent.java,v 1.1 2006/03/20 21:30:57 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected Blog` | `_blog`
`protected java.lang.String` | `_content`
`protected Entry` | `_entry`
`protected javax.servlet.http.HttpServletRequest` | `_httpServletRequest`
`protected javax.servlet.http.HttpServletResponse` | `_httpServletResponse`
`protected java.util.Map` | `_metaData`
`protected java.lang.String` | `_submitter`
`protected java.lang.String` | `_submitterItem1`
`protected java.lang.String` | `_submitterItem2`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`ResponseSubmissionEvent(java.lang.Object source, java.util.Date timestamp, Blog blog, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, java.lang.String submitter, java.lang.String submitterItem1, java.lang.String submitterItem2, java.lang.String content, Entry entry, java.util.Map metaData)` Create a new instance of the response submission event

Method Summary
`Blog` | `getBlog()` Retrieve the `Blog`
`java.lang.String` | `getContent()` Retrieve the submission content
`Entry` | `getEntry()` Retrieve the `Entry`
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()` Retrieve the `HttpServletRequest`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()` Retrieve the `HttpServletResponse`
`java.util.Map` | `getMetaData()` Retrieve the meta-data associated with the submission
`java.lang.String` | `getSubmitter()` Retrieve the submitter
`java.lang.String` | `getSubmitterItem1()` Retrieve the submitter item #1
`java.lang.String` | `getSubmitterItem2()` Retrieve the submitter item #2
`void` | `setContent(java.lang.String content)` Set the content
`void` | `setSubmitter(java.lang.String submitter)` Set the submitter content
`void` | `setSubmitterItem1(java.lang.String submitterItem1)` Set the submitter item #1
`void` | `setSubmitterItem2(java.lang.String submitterItem2)` Set the submitter item #2

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _httpServletRequest

    protected javax.servlet.http.HttpServletRequest _httpServletRequest

### _httpServletResponse

    protected javax.servlet.http.HttpServletResponse _httpServletResponse

### _submitter

    protected java.lang.String _submitter

### _submitterItem1

    protected java.lang.String _submitterItem1

### _submitterItem2

    protected java.lang.String _submitterItem2

### _content

    protected java.lang.String _content

### _metaData

    protected java.util.Map _metaData

### _blog

    protected Blog _blog

### _entry

    protected Entry _entry

Constructor Detail

### ResponseSubmissionEvent

    public ResponseSubmissionEvent(java.lang.Object source,
                                   java.util.Date timestamp,
                                   Blog blog,
                                   javax.servlet.http.HttpServletRequest httpServletRequest,
                                   javax.servlet.http.HttpServletResponse httpServletResponse,
                                   java.lang.String submitter,
                                   java.lang.String submitterItem1,
                                   java.lang.String submitterItem2,
                                   java.lang.String content,
                                   Entry entry,
                                   java.util.Map metaData)

  Create a new instance of the response submission event

Parameters:
  `source` - Source of event
  `timestamp` - Time of event
  `blog` - `Blog`
  `httpServletRequest` - `HttpServletRequest`
  `httpServletResponse` - `HttpServletResponse`
  `submitter` - Submitter
  `submitterItem1` - Submitter data item 1
  `submitterItem2` - Submitter data item 2
  `content` - Content to be evaluated
  `entry` - `Entry`
  `metaData` - Meta-data

Method Detail

### getSubmitter

    public java.lang.String getSubmitter()

  Retrieve the submitter

  Returns:
    Submitter

### getSubmitterItem1

    public java.lang.String getSubmitterItem1()

  Retrieve the submitter item #1

  Returns:
    Submitter item #1

### getSubmitterItem2

    public java.lang.String getSubmitterItem2()

  Retrieve the submitter item #2

  Returns:
    Submitter item #2

### getContent

    public java.lang.String getContent()

  Retrieve the submission content

  Returns:
    Submission content

### getMetaData

    public java.util.Map getMetaData()

  Retrieve the meta-data associated with the submission

  Returns:
    Meta-data associated with the submission

### getBlog

    public Blog getBlog()

  Retrieve the `Blog`

  Returns:
    `Blog`

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

  Retrieve the `HttpServletRequest`

  Returns:
    `HttpServletRequest`

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse()

  Retrieve the `HttpServletResponse`

  Returns:
    `HttpServletResponse`

### getEntry

    public Entry getEntry()

  Retrieve the `Entry`

  Returns:
    `Entry`

### setSubmitter

    public void setSubmitter(java.lang.String submitter)

  Set the submitter content

  Parameters:
    `submitter` - Submitter

### setSubmitterItem1

    public void setSubmitterItem1(java.lang.String submitterItem1)

  Set the submitter item #1

  Parameters:
    `submitterItem1` - Submitter item #1

### setSubmitterItem2

    public void setSubmitterItem2(java.lang.String submitterItem2)

  Set the submitter item #2

  Parameters:
    `submitterItem2` - Submitter item #2

### setContent

    public void setContent(java.lang.String content)

  Set the content

  Parameters:
    `content` - Content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD